@import "../../../assets/scss/global";

.payment-results-page {
    flex: 1;
    background: #f7f8fc;

    .main-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: stretch;
        max-width: 776px;
        padding: 20px;
        margin: auto;
        background-color: #F7F8FC;

        .info,
        .price {
            flex: 0 0 calc(50% - 22px);
            background-color: white;
            box-shadow: 0 4px 20px rgba(76,95,168,.1);
        }

        .separate {
            height: 44px;
            background-color: white;
            overflow: hidden;
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-shrink: 0;

            .line {
                width: calc(100% - 80px);
                height: 2px;
                background-position: left center;
                background-image: linear-gradient(to right, #DFDAFF 0%, #DFDAFF 50%, transparent 50%);
                background-size: 16px 2px;
                background-repeat: round no-repeat;
            }
        }

        .info {
            display: flex;
            flex-direction: column;
            padding: 20px;
            row-gap: 12px;
            border-radius: 12px 12px 0 0;

            .left-top {
                min-height: 115px;
                border-bottom: 1px solid $border-color;
                display: flex;
                flex-direction: column;

                .info-plan {
                    display: flex;
                    flex-direction: column;
                    flex: 1;
                    flex-shrink: 0;
                    justify-content: center;
                }
            }

            .order-status {
                display: flex;
                align-items: center;
                font-weight: 600;
                font-size: 20px;
                line-height: 30px;
                color: $success-color;

                &.failed {
                    color: #F82626;
                }

                &.processing {
                    color: #FF9500;
                }

                .icon-wrapper {
                    border: 1px solid $success-color;
                    padding: 2px;
                    width: 30px;
                    height: 30px;
                    border-radius: 50px;
                    box-sizing: border-box;
                    margin-right: 10px;

                    &.failed {
                        border-color: #F82626;
                    }

                    &.processing {
                        border-color: #FF9500;
                    }
                }
            }

            .package-name {
                display: flex;
                justify-content: space-between;
                font-weight: 400;
                font-size: 14px;
                line-height: 20px;
                color: $dark-color;

                &.is-buy-exam{
                    justify-content: flex-start;
                    gap: 8px;
                }

                > div{
                    min-width: 60px;
                }

                span {
                    font-weight: 500;
                    color: $primary-color;
                }

                .ellipsis{
                    overflow: hidden;
                    text-overflow: ellipsis;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 2;
                    white-space: pre-wrap;
                }

                &.not-success {
                    color: $dark-color;

                    span {
                        color: $dark-color;
                    }
                }
            }

            .message {
                color: $grey-color1;

                > div {
                    font-size: 12px;
                    line-height: 18px;;
                }
            }
        }

        .price {
            border-radius: 0 0 12px 12px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            background-image: url('/images-v2/plan-bg.jpg');
            background-repeat: no-repeat;
            background-size: auto 76%;
            background-position: bottom right;
            padding: 20px;
            gap: 20px;

            .top {
                width: 100%;
                display: flex;
                flex-direction: column;
                align-items: center;
                //min-height: 115px;
                justify-content: center;
                row-gap: 21px;

                .desk {
                    display: none;
                }

                .mobile {
                    display: block;
                }

                @include tabletScreen {
                    .desk {
                        display: block;
                    }

                    .mobile {
                        display: none;
                    }
                }

                button {
                    min-width: 206px;

                    &:nth-of-type(2) {
                        margin: 10px 0 20px
                    }
                }
            }


            .bottom {
                width: 258px;
                line-height: 17px;
                padding: 10px 20px;
                background-color: #F7F8FC;
                border-radius: 14px;
                font-weight: 500;
                color: $dark-color;

                p {
                    font-weight: 400;
                    color: $grey-color1;

                    &:first-child {
                        margin-top: 10px;
                    }

                    line-height: 17px;
                    font-size: 13px;

                    svg {
                        margin-right: 5px;
                        margin-bottom: -3px;
                    }
                }
            }
        }

    }

    @include tabletScreen{
        min-height: 608px;
        display: flex;
        align-items: center;
        background: url("/images/home/banner/bg-blur.png") no-repeat padding-box, #F7F8FC;
        .main-content{
            flex-direction: row;
            background-color: transparent;

            .info{
                border-radius: 12px 0 0 12px;
            }
            .separate {
                width: 44px;
                height: inherit;

                .line {
                    width: 2px;
                    height: calc(100% - 80px);
                    background-image: linear-gradient(to bottom, #DFDAFF 0%, #DFDAFF 50%, transparent 50%);
                    background-size: 2px 16px;
                    background-repeat: repeat-y;
                }
            }

            .price{
                border-radius: 0 12px 12px 0;
                .top{
                    min-height: 115px;
                    padding: 20px 0;
                    border-bottom: 1px solid #E2E5F2;
                }
            }
        }
    }
}